C******************** START FILE GAXSET.FOR ; GROUP GAXES ******************
C----------------------------------------------------------
C  GAXSET
C  MODIFY PLOT TYPE (LOG/LINEAR FOR EITHER/BOTH AXES)
C
      SUBROUTINE GAXSET(ISEL,IDEF)
C
C  IDEF (INPUT) =1 TO MODIFY DEFAULT AXIS SELECTION
C  ISEL (OUTPUT) AXIS SELECTION (1,2,3, OR 4)
C
C
      INCLUDE 'GAXES_BLK'
C
C
C *LISMAK* 12-APR-88  GENERATED LOGICAL DECLARATIONS
      LOGICAL LCHAR,lxout
C *LISMAK* END OF GENERATED LOGICAL DECLARATIONS
C
      luntrm=lnout(0)
C
      IF(IGXINI.EQ.0) CALL GAXES0
 5    CALL NEUPAG
      IF(LXOUT(0)) WRITE(LUNTRM,1001)
      DO 10 IC=1,4
      IF(LXOUT(0)) WRITE(LUNTRM,1002) IC,IAXNAM(IC)
 10   CONTINUE
      IF(LXOUT(0)) WRITE(LUNTRM,1003)
 1001 FORMAT(' GAXSET (MODIFY PLOT AXIS TYPES) OPTIONS:')
 1002 FORMAT('  -',I1,'- SET PLOT TYPE TO ',A10)
 1003 FORMAT('  -Q- QUIT (DO NOTHING)')
      CALL UREAD('GAXSET:  ENTER ONE LETTER/NUMERAL OPTION CODE:$')
      IF(LCHAR('Q')) RETURN
      IANS=IDCOD(IERT)
      IF((IERT.NE.0).OR.(IANS.LE.0).OR.(IANS.GT.4)) THEN
        CALL UERMSG('% ILLEGAL INTEGER OPCODE',' ',1)
        GO TO 5
      ENDIF
C  SELECTION MADE
      ISEL=IANS
      IF(IDEF.EQ.1) IAXSEL=ISEL
      RETURN
      END
C******************** END FILE GAXSET.FOR ; GROUP GAXES ******************
